@echo off
rem ---------------------------------------------------------------------------
rem 
rem ************************************************************************
rem  * (c) Copyright IBM Corp. 2003  All rights reserved.                  *
rem  *                                                                     *
rem  * This sample program is owned by International Business Machines     *
rem  * Corporation or one of its subsidiaries ("IBM") and is copyrighted   *
rem  * and licensed, not sold.                                             *
rem  *                                                                     *
rem  * You may copy, modify, and distribute this sample program in any     *
rem  * form without payment to IBM,  for any purpose including developing, *
rem  * using, marketing or distributing programs that include or are       *
rem  * derivative works of the sample program.                             *
rem  *                                                                     *
rem  * The sample program is provided to you on an "AS IS" basis, without  *
rem  * warranty of any kind.  IBM HEREBY  EXPRESSLY DISCLAIMS ALL          *
rem  * WARRANTIES EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO *
rem  * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTIC- *
rem  * ULAR PURPOSE. Some jurisdictions do not allow for the exclusion or  *
rem  * limitation of implied warranties, so the above limitations or       *
rem  * exclusions may not apply to you.  IBM shall not be liable for any   *
rem  * damages you suffer as a result of using, modifying or distributing  *
rem  * the sample program or its derivatives.                              *
rem  *                                                                     *
rem  * Each copy of any portion of this sample program or any derivative   *
rem  * work,  must include the above copyright notice and disclaimer of    *
rem  * warranty.                                                           *
rem  *                                                                     *
rem ************************************************************************
rem 
rem ***************************************************************************
rem 
rem  SOURCE FILE NAME: bldappCLI.bat
rem 
rem  DESCRIPTION:      Builds C embedded applications on Windows
rem                    
rem  USAGE: bldappCLI prog_name (with no extension) db_name userid password
rem 
rem  Default compiler is set to Microsoft Visual C++
rem  To use a different compiler, in 'set BLDCOMP=cl' specify the new 
rem  compiler.
rem ***************************************************************************

rem Microsoft C/C++ Compiler
set BLDCOMP=cl

rem Intel C++ Compiler for 32-bit applications
rem set BLDCOMP=icl

rem Intel C++ Compiler for Itanium 64-bit applications
rem set BLDCOMP=ecl

rem  Compile the program.
%BLDCOMP% -Zi -Od -c -W2 -DWIN32 %1.c
goto link_step

rem  Link the program.
rem  db2cli.lib is no longer needed 
:link_step
link -debug -out:%1.exe %1.obj db2api.lib
@echo on
