@echo off
rem ---------------------------------------------------------------------------
rem 
rem ************************************************************************
rem  * (c) Copyright IBM Corp. 2003  All rights reserved.                  *
rem  *                                                                     *
rem  * This sample program is owned by International Business Machines     *
rem  * Corporation or one of its subsidiaries ("IBM") and is copyrighted   *
rem  * and licensed, not sold.                                             *
rem  *                                                                     *
rem  * You may copy, modify, and distribute this sample program in any     *
rem  * form without payment to IBM,  for any purpose including developing, *
rem  * using, marketing or distributing programs that include or are       *
rem  * derivative works of the sample program.                             *
rem  *                                                                     *
rem  * The sample program is provided to you on an "AS IS" basis, without  *
rem  * warranty of any kind.  IBM HEREBY  EXPRESSLY DISCLAIMS ALL          *
rem  * WARRANTIES EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO *
rem  * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTIC- *
rem  * ULAR PURPOSE. Some jurisdictions do not allow for the exclusion or  *
rem  * limitation of implied warranties, so the above limitations or       *
rem  * exclusions may not apply to you.  IBM shall not be liable for any   *
rem  * damages you suffer as a result of using, modifying or distributing  *
rem  * the sample program or its derivatives.                              *
rem  *                                                                     *
rem  * Each copy of any portion of this sample program or any derivative   *
rem  * work,  must include the above copyright notice and disclaimer of    *
rem  * warranty.                                                           *
rem  *                                                                     *
rem ************************************************************************
rem 
rem ***************************************************************************
rem 
rem  SOURCE FILE NAME: bldapp_embed.bat
rem 
rem  DESCRIPTION:      Builds C embedded applications on Windows
rem                    
rem  USAGE: bldapp_embed prog_name (with no extension) db_name userid password
rem 
rem  Default compiler is set to Microsoft Visual C++
rem  To use a different compiler, in 'set BLDCOMP=cl' specify the new 
rem  compiler.
rem ***************************************************************************

rem Microsoft C/C++ Compiler
set BLDCOMP=cl

if "%1" == "" goto error
if "%2" == "" goto error
if "%3" == "" goto error
if "%4" == "" goto error

rem Precompile and bind the program.
db2 connect to %2 user %3 using %4
db2 prep %1.sqc bindfile
db2 bind %1.bnd 
db2 connect reset 

rem  Compile the program.
%BLDCOMP% -Zi -Od -c -W2 -DWIN32 %1.c

rem Link the program.
:link_embedded
link -debug -out:%1.exe %1.obj db2api.lib
goto exit

:error
echo "Usage: bldapp_embed prog_name (with no extension) db_name userid password"

:exit
@echo on
